/***************************************************************************
                          weatherviewer.h  -  description
                             -------------------
    begin                : Thu Jan 30 2003
    copyright            : (C) 2003 by theKompany.com
    email                : eug@thekompany.com
 ***************************************************************************/

#ifndef WEATHERVIEWER_H
#define WEATHERVIEWER_H

#include <reportviewer.h>

/**It's showing the weather data.
  *@author Eugen C. <eug@thekompany.com>
  */

class HOME_PLUGIN_API WeatherViewer : public ReportViewer
{
  Q_OBJECT
  
  public: 
  
    WeatherViewer(QObject *parent=0, const char *name=0);
    ~WeatherViewer();
  
    virtual QWidget * widget(QWidget *parent=0, const char *name=0);
    
  public slots:
  
    virtual void slotUpdate();
    virtual void show();
    virtual void hideWidget();
    virtual void showWidget();
    
  protected:
  
    virtual bool parseData(QIODevice * dev);
    virtual bool parseData(const QByteArray&);
    virtual void startTimer();
    
    virtual void clear();
    virtual void nextURL();
    virtual QString findLocation(const QString&);
    
  private:
  
    class Private;
    Private * d;
};

#endif
