include(../../../defines.pri)

TEMPLATE  = lib
CONFIG   += dll

win32 {
TARGET    = libkommailplugin
DEFINES  += MAIL_PLUGIN_EXPORTS
}

unix {
TARGET    = kommailplugin
VERSION   = 1.0.0
}

INCLUDEPATH += .
INCLUDEPATH += ../../
DEPENDPATH  += ../../
INCLUDEPATH += ../../..
DEPENDPATH  += ../../..
INCLUDEPATH += ../../aethera/
DEPENDPATH  += ../../aethera/
INCLUDEPATH += ../../attributes/
DEPENDPATH  += ../../attributes/
INCLUDEPATH += ../../protocols/
DEPENDPATH  += ../../protocols/
INCLUDEPATH += ../../clientskel/
DEPENDPATH  += ../../clientskel/
INCLUDEPATH += ../komcontactsplugin/
DEPENDPATH  += ../komcontactsplugin/
INCLUDEPATH += ../mailfilter/
DEPENDPATH  += ../mailfilter/
INCLUDEPATH += ../mailimport/
DEPENDPATH  += ../mailimport/

FORMS +=\
  accounteditdialogbase.ui\
  accountinfoconfigwidget.ui\
  accountmanagerwidgetbase.ui\
  accountwizardbase.ui\
  addaddressesdialogbase.ui\
  composeconfigwidget.ui\
  imap4configwidget.ui\
  messagepropertiesdialogbase.ui\
  pop3configwidget.ui\
  sendreceiveconfigwidgetbase.ui\
  smtpconfigwidget.ui\
  composerconfigwidgetbase.ui\
  sendmailformatdialogbase.ui

HEADERS =\
  accounteditdialog.h\
  accountinfo.h\
  accountmanagerlistitem.h\
  accountmanagerwidget.h\
  accountwizard.h\
  addaddressesdialog.h\
  addressfieldedit.h\
  attachmentpane.h\
  attachmentpanewidget.h\
  autogetmail.h\
  composerattpane.h\
  composerconfigwidget.h\
  composerconfigservice.h\
  composerfactory.h\
  composerstatus.h\
  composerwidget.h\
  composerwindow.h\
  foldernamerequestdialog.h\
  indexmailitem.h\
  komcomposeconfigservice.h\
  kommailbackendservice.h\
  kommailconfigservice.h\
  kommailplugin.h\
  kommailuiservice.h\
  kompartbackendservice.h\
  komsendreceiveconfigservice.h\
  kommailmaintreeinterface.h\
  kommailmaintreeslots.h\
  kommailtreeitem.h\
  mailconfigserviceprivate.h\
  maillabel.h\
  maillistview.h\
  mailobj.h\
  mailuipartprivate.h\
  mailview.h\
  mailwindow.h\
  messagepropertiesdialog.h\
  partobj.h\
  popupaction.h\
  saveformatdialog.h\
  sendreceiveconfigwidget.h\
  sendmailformatdialog.h

SOURCES +=\
  accounteditdialog.cpp\
  accountinfo.cpp\
  accountmanagerlistitem.cpp\
  accountmanagerwidget.cpp\
  accountwizard.cpp\
  addaddressesdialog.cpp\
  addressfieldedit.cpp\
  attachmentpane.cpp\
  attachmentpanewidget.cpp\
  autogetmail.cpp\
  composerattpane.cpp\
  composerconfigwidget.cpp\
  composerconfigservice.cpp\
  composerfactory.cpp\
  composerstatus.cpp\
  composerwidget.cpp\
  composerwindow.cpp\
  foldernamerequestdialog.cpp\
  indexmailitem.cpp\
  komcomposeconfigservice.cpp\
  kommailbackendservice.cpp\
  kommailconfigservice.cpp\
  kommailplugin.cpp\
  kommailuiservice.cpp\
  kompartbackendservice.cpp\
  komsendreceiveconfigservice.cpp\
  kommailmaintreeinterface.cpp\
  kommailmaintreeslots.cpp\
  kommailtreeitem.cpp\
  mailconfigserviceprivate.cpp\
  maillabel.cpp\
  maillistview.cpp\
  mailobj.cpp\
  mailuipartprivate.cpp\
  mailview.cpp\
  mailwindow.cpp\
  messagepropertiesdialog.cpp\
  partobj.cpp\
  popupaction.cpp\
  saveformatdialog.cpp\
  sendreceiveconfigwidget.cpp\
  sendmailformatdialog.cpp

win32 {
LIBS  += ../../aethera/aethera.lib ../../tino/tino.lib
LIBS  += tkcbase.lib tkcssl.lib libkore.lib tkwidgets.lib
}

unix {
  LIBS  += -L../../aethera  -laethera
  
mailplugin.path    = $$AETHERA_DIR/plugins/
mailplugin.files   = lib*.so.1.0.0
INSTALLS          += mailplugin

  mailplugin.extra = \
    cd $$AETHERA_DIR/plugins; \
    rm -f libkommailplugin.so.1.0; \
    ln -s libkommailplugin.so.1.0.0 \
          libkommailplugin.so.1.0; \
    rm -f libkommailplugin.so.1; \
    ln -s libkommailplugin.so.1.0 \
          libkommailplugin.so.1; \
    rm -f libkommailplugin.so; \
    ln -s libkommailplugin.so.1 \
          libkommailplugin.so
}
