/***************************************************************************
                          imap4updatemessagejob.h  -  description
                             -------------------
    begin                : Tue Jun 18 2002
    copyright            : (C) 2002 by theKompany.com
    email                : eug@thekompany.com
 ***************************************************************************/

#ifndef IMAP4UPDATEMESSAGEJOB_H
#define IMAP4UPDATEMESSAGEJOB_H

#include <imap4job.h>

/**It is doing the update message job.
  *@author Eugen C. <eug@thekompany.com>
  */

class IMAP4UpdateMessageJob : public IMAP4Job
{
  public: 
    IMAP4UpdateMessageJob
    (
      QSocket           * socket,
      IMAP4Client       * parent
    );
    virtual ~IMAP4UpdateMessageJob();
    
    virtual void run();

    virtual bool processLine(const QString &);
    virtual bool processMultiLine(const QByteArray &);

  private:
  
    enum State
    {
      START,
      WaitingForUidFetch,
      DONE
    };

    State state_;

};

#endif
