
#include "generalconfigprivate.h"

#include <qfontdialog.h>

GeneralConfigPrivate::GeneralConfigPrivate(GeneralConfigService * parent)
  : parent_(parent)
{
}

GeneralConfigPrivate::~GeneralConfigPrivate()
{
}

void GeneralConfigPrivate::slotChooseFont()
{
  bool ok = false;

  QFont f = QFontDialog::getFont(&ok, parent_->currentFont(), 0);

  if (ok)
    parent_->fontChosen(f);
}

