
#ifndef GENERALCONFIGPRIVATE_H
#define GENERALCONFIGPRIVATE_H

#include <qobject.h>

#include "generalconfigservice.h"

/**The qt handler for GeneralConfigService
  *@author Eugen C.
  */

class GeneralConfigPrivate : public QObject
{
  Q_OBJECT

  public: 
    GeneralConfigPrivate(GeneralConfigService *);
    virtual ~GeneralConfigPrivate();
    
  public slots:
    void slotChooseFont();
    
  private:
    GeneralConfigService * parent_;
};

#endif
