include(../defines.pri)

TEMPLATE  = app
CONFIG   += qt

unix {
TARGET = aethera.bin
}

win32{
TARGET = aethera
}

INCLUDEPATH += .
INCLUDEPATH += ..
DEPENDPATH  += ..
INCLUDEPATH += ../libs/
DEPENDPATH  += ../libs/
INCLUDEPATH += ../libs/htmlprocessing/
DEPENDPATH  += ../libs/htmlprocessing/
INCLUDEPATH += ../libs/server/
DEPENDPATH  += ../libs/server/
INCLUDEPATH += ../libs/mailparsers/
DEPENDPATH  += ../libs/mailparsers/
INCLUDEPATH += ../libs/aethera/
DEPENDPATH  += ../libs/aethera/
INCLUDEPATH += ../libs/plugins/mailfilter/
DEPENDPATH  += ../libs/plugins/mailfilter/
INCLUDEPATH += ../libs/attributes/
DEPENDPATH  += ../libs/attributes/
INCLUDEPATH += ../libs/clientskel/
DEPENDPATH  += ../libs/clientskel/
INCLUDEPATH += ../libs/transfers/
DEPENDPATH  += ../libs/transfers/
INCLUDEPATH += ../libs/kommanager/
DEPENDPATH  += ../libs/kommanager/
INCLUDEPATH += ../libs/setupwizard/
DEPENDPATH  += ../libs/setupwizard/
INCLUDEPATH += ../libs/protocols/
DEPENDPATH  += ../libs/protocols/

FORMS = generalconfigbase.ui

SOURCES   = \
  aetheraupdate.cpp \
  generalconfigprivate.cpp \
  generalconfigservice.cpp \
  generalconfigwidget.cpp \
  main.cpp 

HEADERS   = \
  aetheraupdate.h \
  generalconfigprivate.h \
  generalconfigservice.h \
  generalconfigwidget.h
  

win32 {
LIBS += ../libs/clientskel/clientskel.lib
LIBS += ../libs/kommanager/kommanager.lib
LIBS += ../libs/server/server.lib
LIBS += ../libs/mailparsers/mailparsers.lib
LIBS += ../libs/protocols/protocols.lib
LIBS += ../libs/attributes/attributes.lib
LIBS += ../libs/plugins/mailfilter/mailfilter.lib
LIBS += ../libs/setupwizard/setupwizard.lib

LIBS  += ../libs/aethera/aethera.lib ../libs/tino/tino.lib
LIBS  += tkcbase.lib tkcssl.lib libkore.lib tkwidgets.lib
}

unix {
LIBS += ../libs/clientskel/libclientskel.a
LIBS += ../libs/kommanager/libkommanager.a
LIBS += ../libs/server/libserver.a
LIBS += ../libs/mailparsers/libmailparsers.a
LIBS += ../libs/protocols/libprotocols.a
LIBS += ../libs/attributes/libattributes.a
LIBS += ../libs/plugins/mailfilter/libmailfilter.a
LIBS += ../libs/setupwizard/libsetupwizard.a

LIBS  += -L../libs/aethera -laethera
LIBS  += -L../libs/tino -ltino
LIBS  += -L$$AETHERA_LIB -ltkcbase -ltkcssl
LIBS  += -L/usr/local/lib -lkore -ltkwidgets

# Installing...

target.path  = $$AETHERA_BIN
INSTALLS    += target

# qmake is crap - these do not work in the top dir.

data.path       = $$AETHERA_DIR/data/
data.files      = ../data/*.*
INSTALLS       += data

icons.path      = $$AETHERA_DIR/pics/
icons.files     = ../icons/*.*
INSTALLS       += icons

help.path      = $$AETHERA_DIR/help/
help.files     = 
help.extra = \
  cp -R ../help $$AETHERA_DIR
INSTALLS       += help

aetheraincludes.path    = $$AETHERA_INCLUDE
aetheraincludes.files   = $$HEADERS
INSTALLS               += aetheraincludes
}
