/***************************************************************************
                   komkoplugin.cpp  -  The KO plug in
                             -------------------
    begin                : Wed Jan 16 17:48:54 EET 2002
    copyright            : (C) 2002 by theKompany.com
    author               : Eugen C. <eug@thekompany.com>
 ***************************************************************************/

#include "komkoplugin.h"

#define CALENDAR_VERSION          "0.2.0"
#define CALENDAR_VERSION_MINOR    "2"
#define CALENDAR_VERSION_MAJOR    "0"
#define CALENDAR_VERSION_RELEASE  "0"

static const char* libkorganizer_metainfo[][2]=
{
    { "/kore/library", "~korganizer" },
    { "~korganizer/name", "korganizer" },
    { "~korganizer/description", "provides the KO components" },
    { "~korganizer/component", "~KomKOUIService" },
    { "~korganizer/component", "~KomKOBackendService" },
    { "~korganizer/component", "~KomEventAlarmService" },
//
    { "~KomKOUIService/name", "KO UI Service" },
    { "~KomKOUIService/type", "Plugin" },
    { "~KomKOUIService/class", "KomKOUIService" },
    { "~KomKOUIService/class/fqn", "KomKOUIService" },
    { "~KomKOUIService/factory", "komkouiservice_factory" },
    { "~KomKOUIService/description", AETHERA_UISERVICE_DESC },
    { "~KomKOUIService/version", CALENDAR_VERSION },
    { "~KomKOUIService/version/major", CALENDAR_VERSION_MAJOR },
    { "~KomKOUIService/version/minor", CALENDAR_VERSION_MINOR },
    { "~KomKOUIService/version/release", CALENDAR_VERSION_RELEASE },
    { "~KomKOUIService/api/version", CALENDAR_VERSION },
    { "~KomKOUIService/api/version/major", CALENDAR_VERSION_MAJOR },
    { "~KomKOUIService/api/version/minor", CALENDAR_VERSION_MINOR },
    { "~KomKOUIService/api/version/release", CALENDAR_VERSION_RELEASE },
    { "~KomKOUIService/service", "/kore/service/interface" },
    { "~KomKOUIService/service", PART_SERVICE },
    { "~KomKOUIService/service", AETHERA_SERVICE },
    { "~KomKOUIService/service", AETHERA_UISERVICE },
//
    { "~KomKOBackendService/name", "Calendar Backend Service" },
    { "~KomKOBackendService/type", "Plugin" },
    { "~KomKOBackendService/class", "KomKOBackendService" },
    { "~KomKOBackendService/class/fqn", "KomKOBackendService" },
    { "~KomKOBackendService/factory", "komkobackendservice_factory" },
    { "~KomKOBackendService/description",  AETHERA_CALENDAR_BACKENDSERVICE_DESC },
    { "~KomKOBackendService/version", CALENDAR_VERSION },
    { "~KomKOBackendService/version/major", CALENDAR_VERSION_MAJOR },
    { "~KomKOBackendService/version/minor", CALENDAR_VERSION_MINOR },
    { "~KomKOBackendService/version/release", CALENDAR_VERSION_RELEASE },
    { "~KomKOBackendService/api/version", CALENDAR_VERSION },
    { "~KomKOBackendService/api/version/major", CALENDAR_VERSION_MAJOR },
    { "~KomKOBackendService/api/version/minor", CALENDAR_VERSION_MINOR },
    { "~KomKOBackendService/api/version/release", CALENDAR_VERSION_RELEASE },
    { "~KomKOBackendService/service", "/kore/service/interface" },
    { "~KomKOBackendService/service", AETHERA_SERVICE },
    { "~KomKOBackendService/service", AETHERA_BACKENDSERVICE },
    { "~KomKOBackendService/service", AETHERA_CALENDAR_BACKENDSERVICE },
//
    { "~KomEventAlarmService/name", "Alarm Demon" },
    { "~KomEventAlarmService/type", "Plugin" },
    { "~KomEventAlarmService/class", "KomEventAlarmService" },
    { "~KomEventAlarmService/class/fqn", "KomEventAlarmService" },
    { "~KomEventAlarmService/factory", "komeventalarmservice_factory" },
    { "~KomEventAlarmService/description", AETHERA_EVENT_ALARM_SERVICE_DESC },
    { "~KomEventAlarmService/version", CALENDAR_VERSION },
    { "~KomEventAlarmService/version/major", CALENDAR_VERSION_MAJOR },
    { "~KomEventAlarmService/version/minor", CALENDAR_VERSION_MINOR },
    { "~KomEventAlarmService/version/release", CALENDAR_VERSION_RELEASE },
    { "~KomEventAlarmService/api/version", CALENDAR_VERSION },
    { "~KomEventAlarmService/api/version/major", CALENDAR_VERSION_MAJOR },
    { "~KomEventAlarmService/api/version/minor", CALENDAR_VERSION_MINOR },
    { "~KomEventAlarmService/api/version/release", CALENDAR_VERSION_RELEASE },
    { "~KomEventAlarmService/service", "/kore/service/interface" },
    { "~KomEventAlarmService/service", AETHERA_SERVICE },
    { "~KomEventAlarmService/service", AETHERA_EVENT_ALARM_SERVICE },
//
    { 0, 0 }
};


// the metainfo should be generated dynamicaly but I am not ready
// see the static methods from KomAetheraService 
kore::MetaInfo* korganizer_metainfo()
{
  static kore::MetaInfo* info = 0;
  if( !info )
  {
    info = new kore::MetaInfo(libkorganizer_metainfo);
  }
  return info;
}

