
#ifndef HOMECONFIGHANDLER_H
#define HOMECONFIGHANDLER_H

#include <qobject.h>
#include <defines.h>
#include <homeconfigservice.h>

/**The signal/slot handler for the Home plugin.
  *@author Eugen Constantinescu <eug@thekompany.com>
  */

class HOME_PLUGIN_API HomeConfigHandler : public QObject
{
  Q_OBJECT
  
  public:
  
    HomeConfigHandler(HomeConfigService*);
    ~HomeConfigHandler();
    
  public slots:
  
    virtual void launchUrl(const QString &);
    virtual void slotICAO(const QString &);
  
  signals:
  
  private:
  
    HomeConfigService * parent_;
    
};

#endif
