#include "homeuihandler.h"
#include "homeuiservice.h"

HomeUIHandler::HomeUIHandler( HomeUIService* _owner, QObject* parent, const char* name )
  : QObject( parent, name ),
    owner( _owner )
{
}


HomeUIHandler::~HomeUIHandler()
{
}


void HomeUIHandler::slotToggleRSS( bool value )
{
  owner->slotToggleRSS( value );
}


void HomeUIHandler::slotToggleWeather( bool value )
{
  owner->slotToggleWeather( value );
}

void HomeUIHandler::slotUpdateRSS( )
{
  owner->slotUpdateRSS();
}


void HomeUIHandler::slotUpdateWeather( )
{
  owner->slotUpdateWeather();
}

