/***************************************************************************
                          icaodialog.cpp  -  description
                             -------------------
    begin                : Fri Jun 13 2003
    copyright            : (C) 2003 by theKompany.com
    author               : Eugen Constantinescu
    email                : eug@thekompany.com
 ***************************************************************************/

#ifndef ICAODIALOG_H
#define ICAODIALOG_H

#include <qwidget.h>
#include <icaodialogbase.h>

/**The dialog for selecting a ICAO code.

  *@author Eugen Constantinescu
  */

class ICAODialog : public ICAODialogBase  
{
  public: 
  
    ICAODialog(QWidget *parent=0, const char *name=0);
    ~ICAODialog();
    
    bool isSelected();
    QString selected() const;
    
  private:
  
    void init();
};

#endif
