/***************************************************************************
                          rssviewer.h  -  description
                             -------------------
    begin                : Thu Jan 30 2003
    copyright            : (C) 2003 by theKompany.com
    email                : eug@thekompany.com
 ***************************************************************************/

#ifndef RSSVIEWER_H
#define RSSVIEWER_H

#include <reportviewer.h>

/**It is showing the RSS data.
  *@author Eugen C. <eug@thekompany.com>
  */

class HOME_PLUGIN_API RSSViewer : public ReportViewer
{
  Q_OBJECT
  
  public: 
  
    RSSViewer(QObject *parent=0, const char *name=0);
    ~RSSViewer();
    
    virtual QWidget * widget(QWidget *parent=0, const char *name=0);
    
  public slots:
  
    virtual void slotUpdate();
    virtual void show();
    virtual void hideWidget();
    virtual void showWidget();
    
  protected:
  
    virtual bool parseData(QIODevice * dev);
    virtual bool parseData(const QByteArray&);
    virtual void startTimer();
    
    virtual void clear();
    virtual void nextURL();
    
  private:
  
    class Private;
    Private * d;
};

#endif
