//own includes
#include "notesconfigwidget.h"
#include "notepreview.h"

#include <qfontchooser.h>

//Qt includes
#include <qlayout.h>

NotesConfigWidget::NotesConfigWidget( QWidget* parent, const char* name, WFlags fl )
    : NotesConfigWidgetBase( parent, name, fl )
{
//    NotePreview* notePreview = new NotePreview( (QWidget*)previewFrame, "notePreview" );

    QObject::connect( (QWidget*)colorButton,
                       SIGNAL( colorChanged(const QColor &) ),
                       (QWidget*)notePreview,
                       SLOT( slotSetBackground( const QColor& ) )
                     );

    QObject::connect( (QWidget*)textColorButton,
                      SIGNAL( colorChanged(const QColor &) ),
                      (QWidget*)notePreview,
                      SLOT( slotSetTextColor( const QColor& ) )
                    );
    QObject::connect( (QWidget*)fontChooserButton,
                      SIGNAL( fontChanged(const QFont &) ),
                      (QWidget*)notePreview,
                      SLOT( slotSetFont( const QFont& ) )
                    );

}                   

NotesConfigWidget::~NotesConfigWidget()
{
}
