/***************************************************************************
                     imap4subfoldersjob.h  -  description
                             -------------------
    begin                : Tue Jun 18 2002
    copyright            : (C) 2002 by theKompany.com
    email                : eug@thekompany.com
 ***************************************************************************/

#ifndef IMAP4SUBFOLDERSJOB_H
#define IMAP4SUBFOLDERSJOB_H

#include "imap4job.h"

#include <qstringlist.h>

/**It returns the subscribed folders and their status.
  *@author Eugen C. <eug@thekompany.com>
  */
class IMAP4SubfoldersJob : public IMAP4Job
{
  public: 
    IMAP4SubfoldersJob
    (
      QSocket           * socket,
      IMAP4Client       * parent
    );
    virtual ~IMAP4SubfoldersJob();
    
    virtual void run();

    virtual bool processLine(const QString &);
    virtual bool processMultiLine(const QByteArray &);

  private:
  
    enum State
    {
      START,
      WaitingForSubscribedFolders,
      WaitingForFoldersStatus,
      DONE
    };

    State state_;
    QStringList folders_;
};

#endif
