/***************************************************************************
                          imap4syncjob.h  -  description
                             -------------------
    begin                : Tue Jun 18 2002
    copyright            : (C) 2002 by theKompany.com
    email                : eug@thekompany.com
 ***************************************************************************/

#ifndef IMAP4SYNCJOB_H
#define IMAP4SYNCJOB_H

#include "imap4job.h"

class RemoteMailFolder;

/**It is doing the sync job.
  *@author Eugen C. <eug@thekompany.com>
  */

class IMAP4SyncJob : public IMAP4Job
{
  public: 
    IMAP4SyncJob
    (
      QSocket           * socket,
      IMAP4Client       * parent
    );
    virtual ~IMAP4SyncJob();
    
    virtual void run();

    virtual bool processLine(const QString &);
    virtual bool processMultiLine(const QByteArray &);

  private:
  
    enum State
    {
      START,
      CheckingForDeletedMails,
      WaitingForAllMails,
      CheckingAllMails,
      DONE
    };

    State state_;
    bool start_;
    unsigned uMessages;
    
    RemoteMailFolder * folder;
};

#endif
