/***************************************************************************
                          mailinfo.h  -  description
                             -------------------
    begin                : Thu Jun 13 2002
    copyright            : (C) 2002 by theKompany.com
    email                : eug@thekompany.com
 ***************************************************************************/

#ifndef MAILINFO_H
#define MAILINFO_H

#include <qdict.h>
#include <qintdict.h>
#include <qlist.h>

/**A usefull class for mail protocols.
  *@author Eugen C.
  */

class MailInfo
{
  public:
    MailInfo(const QString mailUID=QString::null, 
             unsigned long  mailRetr=0, 
             unsigned long  mailSize=0);
    virtual ~MailInfo();
    
  QString       uid;
  unsigned long  retr;
  unsigned long  size;
};

typedef QDict<MailInfo> UIDMailList;
typedef QDictIterator<MailInfo> UIDIterator;
typedef QIntDict<MailInfo> ListMailList;
typedef QIntDictIterator<MailInfo> ListIterator;
typedef QPtrList<MailInfo> RetrMailList;
typedef QPtrListIterator<MailInfo> RetrIterator;

#endif
