/***************************************************************************
                          generalconfigservice.h  -  description
                             -------------------
    begin                : Thu Oct 10 2002
    copyright            : (C) 2002 by theKompany.com
    author               : Eugen C. <eug@thekompany.com>
 ***************************************************************************/

#ifndef GENERALCONFIGSERVICE_H
#define GENERALCONFIGSERVICE_H

#include <komaetheraplugin.h>

extern "C"
{
    kore::Interface * generalconfigservice_factory();
};

/** The most general options for Aethera.
  * @author Eugen C.
  */

class GeneralConfigService : public KomConfigService
{
  public: 
  
    GeneralConfigService();
    virtual ~GeneralConfigService();
    
    virtual QPixmap icon();
    virtual QString caption();
  
    virtual void load();
    virtual void save();
    virtual void defaults();
  
    virtual bool modified();
  
    virtual QWidget * init(QWidget * parent);
    
    virtual QObject * createQTHandler();
    virtual QObject * getQTHandler();
  
    virtual void fontChosen(QFont);
    virtual QFont currentFont();
  
  private:
  
    class Private;
    Private * d;
};

#endif
